## org.apache.taglibs.standard.lang.jstl.parser
Class TokenMgrError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.apache.taglibs.standard.lang.jstl.parser.TokenMgrError

All Implemented Interfaces:
  Serializable

    public class TokenMgrError

extends Error

See Also:
  Serialized Form

Constructor Summary
`TokenMgrError()`
`TokenMgrError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, String errorAfter, char curChar, int reason)`
`TokenMgrError(String message, int reason)`

Method Summary
`protected static String` `addEscapes(String str)` Replaces unprintable characters by their espaced (or unicode escaped) equivalents in the given string
`String` `getMessage()` You can also modify the body of this method to customize your error messages.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenMgrError

    public TokenMgrError()

### TokenMgrError

    public TokenMgrError(String message,
                         int reason)

### TokenMgrError

    public TokenMgrError(boolean EOFSeen,
                         int lexState,
                         int errorLine,
                         int errorColumn,
                         String errorAfter,
                         char curChar,
                         int reason)

Method Detail

### addEscapes

    protected static final String addEscapes(String str)

  Replaces unprintable characters by their espaced (or unicode escaped) equivalents in the given string

### getMessage

    public String getMessage()

  You can also modify the body of this method to customize your error messages. For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not of end-users concern, so you can return something like : "Internal Error : Please file a bug report .... " from this method for such cases in the release version of your parser.

  Overrides:
    `getMessage` in class `Throwable`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.